<?php
/*
Plugin Name: Head Meta
Plugin URI: http://lud.icro.us/wordpress-plugin-head-meta/
Description: Allows you to insert meta data such as a &lt;link&gt; or &lt;script&gt; into the &lt;head&gt; of a post or page when viewing the post or page on its own.
Author: John Blackbourn
Version: 0.1
Author URI: http://www.johnblackbourn.com/

Please visit the Plugin URI for instructions on usage.

*/


function jb_head_meta() {
	global $wp_query;
	if (is_single() or is_page()) {
		if ($wp_query->post) {
			$post = $wp_query->post;
			if (get_post_meta($post->ID, 'head-meta', true)) {
				echo get_post_meta($post->ID, 'head-meta', true) . "\n";
				}
			}
		}
	}

add_action('wp_head', 'jb_head_meta');

?>